org.eclipse.eef

## Interface EEFCustomExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFCustomExpressionImpl

    public interface EEFCustomExpression
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Custom Expression'.

The following features are supported:

- `Identifier`
- `Custom Expression`

See Also:
  `EefPackage.getEEFCustomExpression()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCustomExpression()` Returns the value of the 'Custom Expression' attribute.
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute.
`void` `setCustomExpression(java.lang.String value)` Sets the value of the '`Custom Expression` ' attribute.
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getIdentifier

    java.lang.String getIdentifier()

Returns the value of the 'Identifier' attribute. Used to identify a specific widget.

Returns:
  the value of the 'Identifier' attribute.
See Also:
  `setIdentifier(String)`, `EefPackage.getEEFCustomExpression_Identifier()`

#### setIdentifier

    void setIdentifier(java.lang.String value)

Sets the value of the '`Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Identifier' attribute.
See Also:
  `getIdentifier()`

#### getCustomExpression

    java.lang.String getCustomExpression()

Returns the value of the 'Custom Expression' attribute. Defines the behavior associated to a custom expression.

Returns:
  the value of the 'Custom Expression' attribute.
See Also:
  `setCustomExpression(String)`, `EefPackage.getEEFCustomExpression_CustomExpression()`

#### setCustomExpression

    void setCustomExpression(java.lang.String value)

Sets the value of the '`Custom Expression` ' attribute.

Parameters:
  `value` - the new value of the 'Custom Expression' attribute.
See Also:
  `getCustomExpression()`